%global momorel 8

Name:           perl-DateTime-Calendar-Japanese
Version:        0.06001
Release: %{momorel}m%{?dist}
Summary:        DateTime Extension for Traditional Japanese Calendars
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTime-Calendar-Japanese/
Source0:        http://www.cpan.org/modules/by-module/DateTime/DateTime-Calendar-Japanese-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.6.1
BuildRequires:  perl-DateTime
BuildRequires:  perl-DateTime-Calendar-Chinese >= 0.02
BuildRequires:  perl-DateTime-Calendar-Japanese-Era >= 0.04
BuildRequires:  perl-DateTime-Event-Sunrise >= 0.05
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Params-Validate
Requires:       perl-DateTime
Requires:       perl-DateTime-Calendar-Chinese >= 0.02
Requires:       perl-DateTime-Calendar-Japanese-Era >= 0.04
Requires:       perl-DateTime-Event-Sunrise >= 0.05
Requires:       perl-Params-Validate
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements the traditional Japanese Calendar, which was used
from circa 692 A.D. to 1867 A.D. The traditional Japanese Calendar is a
lunisolar calendar based on the Chinese Calendar, and therefore this module
may *not* be used for handling or formatting modern Japanese calendars
which are Gregorian Calendars with a twist. Please use
DateTime::Format::Japanese for that purpose.

%prep
%setup -q -n DateTime-Calendar-Japanese-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE
%{perl_vendorlib}/*/*/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.06001-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06001-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06001-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06001-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06001-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06001-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.06001-2m)
- rebuild against gcc43

* Fri Nov  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06001-1m)
- update to 0.06001

* Fri Nov  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06000-1m)
- update to 0.06000

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.05-3m)
- use vendor

* Wed Nov 29 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.05-2m)
- delete dupclicate directory

* Tue Nov 28 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.05-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
